﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GanttSample
{
    public partial class GanttSample : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
             var DataSource = this.GetDataSource();
            this.Gantt.DataSource = DataSource;
            this.Gantt.DataBind();
        }

        private List<BusinessObject> GetDataSource()
        {
            List<BusinessObject> list = new List<BusinessObject>();

            list.Add(new BusinessObject()
            {
                Id = 1,
                Name = "Parent Task 1",
                StartDate = "02/23/2014",
                EndDate = "04/28/2014",
                PercentDone = "40",
                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id = 2,
                            Name = "Child Task 1",
                            StartDate = "02/23/2014",
                            EndDate= "03/28/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = 3,
                            Name = "Child Task 2",
                            StartDate = "02/23/2014",
                            EndDate= "03/28/2014",
                            PercentDone = "40"                            
                        },
                        new BusinessObject()
                        {
                            Id = 4,
                            Name = "Child Task 3",
                            StartDate = "02/23/2014",
                            EndDate= "03/28/2014",
                            PercentDone = "40"                            
                        }
                    })

            });

            list.Add(new BusinessObject()
            {
                Id = 5,
                Name = "Parent Task 2",
                StartDate = "05/03/2014",
                EndDate = "07/07/2014",
                PercentDone = "40",
                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id = 6,
                            Name = "Child Task 1",
                            StartDate = "04/13/2014",
                            EndDate="05/20/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = 7,
                            Name = "Child Task 2",
                            StartDate = "04/13/2014",
                            EndDate="05/20/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = 8,
                            Name = "Child Task 3",
                            StartDate = "04/13/2014",
                            EndDate="05/20/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = 9,
                            Name = "Child Task 4",
                            StartDate ="04/13/2014",
                            EndDate="05/20/2014",
                            PercentDone = "40",
                        }
                    })

            });
            list.Add(new BusinessObject()
            {
                Id = 10,
                Name = "Parent Task 3",
                StartDate = "08/10/2014",
                EndDate = "10/14/2014",
                PercentDone = "40",

                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id = 11,
                            Name = "Child Task 1",
                            StartDate ="06/10/2014",
                            EndDate= "07/14/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = 12,
                            Name = "Child Task 2",
                            StartDate = "06/10/2014",
                            EndDate= "07/14/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = 13,
                            Name = "Child Task 3",
                            StartDate ="06/10/2014",
                            EndDate= "07/14/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = 14,
                            Name = "Child Task 4",
                            StartDate = "06/10/2014",
                            EndDate= "07/14/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = 15,
                            Name = "Child Task 5",
                            StartDate = "06/10/2014",
                            EndDate= "07/14/2014",
                            PercentDone = "40"
                        }
                    })
            });
            return list;
        }
       

        #region BusinessObject Creation
        public class BusinessObject
        {
            public string StartDate { get; set; }
            public int Id { get; set; }
            public string Name { get; set; }
            public string EndDate { get; set; }
            public string PercentDone { get; set; }
            public List<object> ResourceID { get; set; }
            public List<BusinessObject> Children { get; set; }
            public string Predescessor { get; set; }
        }
        #endregion



    }
}